Transfers
Move
Relocate a file so it exists only in the destination location.
POST
/
move
curl -X POST https://api.byteport.com/move \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"from": "Dropbox/inbox/*",
"to": "Production Bucket/inbox"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}
Relocates a file so it exists only in the destination location. Use Copy if you want to keep the source in place.
Body parameters
string | string[]
required
Source location path.A valid file or folder path begins with the location, followed by a path
relative to the root directory. To move multiple files, submit a string
array. Regex supported.Examples
"Production Bucket/archives/2026-04-21""Dropbox/*"
string
required
Destination location path.
Example
curl -X POST https://api.byteport.com/move \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"from": "Dropbox/inbox/*",
"to": "Production Bucket/inbox"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
curl -X POST https://api.byteport.com/move \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"from": "Dropbox/inbox/*",
"to": "Production Bucket/inbox"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}

